summaryrefslogtreecommitdiff
path: root/tests/scripts
diff options
context:
space:
mode:
authorNikos Mavrogiannopoulos <nmav@redhat.com>2017-12-19 16:40:59 +0100
committerNikos Mavrogiannopoulos <nmav@redhat.com>2017-12-20 10:18:57 +0100
commit011c3d964b1912151444527c4f92e8c752638126 (patch)
tree59b0cea0200a0fcd9cf86fa853eebc8cce949140 /tests/scripts
parente59a3d4b166cf6773e6c2f425a0f03bf44006d08 (diff)
downloadgnutls-011c3d964b1912151444527c4f92e8c752638126.tar.gz
tests: hash-large: increase parallelism to allow fast run in CItmp-speedup-hash-tests
Signed-off-by: Nikos Mavrogiannopoulos <nmav@redhat.com>
Diffstat (limited to 'tests/scripts')
-rw-r--r--tests/scripts/common.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/scripts/common.sh b/tests/scripts/common.sh
index 5addc9cbc5..4615770f6b 100644
--- a/tests/scripts/common.sh
+++ b/tests/scripts/common.sh
@@ -95,6 +95,18 @@ if test $? = 0;then
fi
}
+exit_if_non_padlock()
+{
+which lscpu >/dev/null 2>&1
+if test $? = 0;then
+ $(which lscpu)|grep Flags|grep phe
+ if test $? != 0;then
+ echo "non-Via padlock CPU detected"
+ exit 0
+ fi
+fi
+}
+
wait_for_port()
{
local ret